diff --git a/linux/debian/essentials/config b/linux/debian/essentials/config
index 073608849e02f685b6290fa8ba65c91b91217e94..411930e103d2cb9c18544326576b5f4bc0207fd2 100755
--- a/linux/debian/essentials/config
+++ b/linux/debian/essentials/config
@@ -62,6 +62,24 @@ reconfigure|configure)
       db_go || true
    fi
 
+   db_input critical cellframe-node/backbone_enabled || true 
+   db_go || true 
+
+   db_get cellframe-node/backbone_enabled
+   if [ "$RET" = "true" ]; then
+      db_input critical cellframe-node/backbone_node_type || true 
+      db_go || true
+   fi
+
+   db_input critical cellframe-node/mileena_enabled || true 
+   db_go || true 
+
+   db_get cellframe-node/mileena_enabled
+   if [ "$RET" = "true" ]; then
+      db_input critical cellframe-node/mileena_node_type || true 
+      db_go || true
+   fi
+
 ;;
 *)
    echo "config called with unknown argument \`$1'" >&2
diff --git a/linux/debian/essentials/postinst b/linux/debian/essentials/postinst
index 52a52f6ea835a86bd29dd25c603370020a6fb75e..40c16ab3c27721c6142b4b730054e227f4e83ba6 100755
--- a/linux/debian/essentials/postinst
+++ b/linux/debian/essentials/postinst
@@ -114,7 +114,7 @@ if [ "$RET" = "true" ]; then
     echo "[*] Enabled subzero"
 fi
 
-# Init subzero
+# Init minkowski
 NET_NAME="kelvpn-minkowski"
 
 db_get cellframe-node/kelvpn_minkowski_enabled || true
@@ -136,6 +136,47 @@ if [ "$RET" = "true" ]; then
 fi
 
 
+# Init Backbone
+NET_NAME="Backbone"
+
+db_get cellframe-node/backbone_enabled || true
+if [ "$RET" = "true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.dpkg-new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    db_get cellframe-node/backbone_node_type || true
+    NODE_TYPE=$RET
+    sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
+    echo "[*] Enabled Backbone"
+fi
+
+# Init mileena
+NET_NAME="mileena"
+
+db_get cellframe-node/backbone_enabled || true
+if [ "$RET" = "true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.dpkg-new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    db_get cellframe-node/mileena_node_type || true
+    NODE_TYPE=$RET
+    sed -i "s/{NODE_TYPE}/$NODE_TYPE/g" $DAP_NET_CFG  || true
+    echo "[*] Enabled mileena"
+fi
 
 mkdir -p $DAP_PREFIX/var/log     || true
 mkdir -p $DAP_PREFIX/var/plugins || true
diff --git a/linux/debian/essentials/templates b/linux/debian/essentials/templates
index 01ed44dd0c2daa09928f1699be3102396a05b219..1c45ce71f8af6036560b2e19ddd8ebe86742253f 100755
--- a/linux/debian/essentials/templates
+++ b/linux/debian/essentials/templates
@@ -119,3 +119,41 @@ Description: Kelvpn Minkowski: Node role
  master - allow to store values in chains and take comission, sync all shards that will need to be synced
  archive - Sync all the network
  root - Special predefined root nodes, usualy produces zerochain and act like archive as well  
+
+Template: cellframe-node/backbone_enabled
+Default: true
+Choices: true, false
+Type: select
+Description: Backbone: Enable network
+ Backbone network: Enable network auto load on start
+
+Template: cellframe-node/backbone_node_type
+Type: select
+Default: full
+Choices: full, light, master, archive, root
+Description: Backbone: Node role
+ Select node role:. 
+ Light - syncronize only local wallets 
+ full - sync all its cell
+ master - allow to store values in chains and take comission, sync all shards that will need to be synced
+ archive - Sync all the network
+ root - Special predefined root nodes, usualy produces zerochain and act like archive as well
+
+ Template: cellframe-node/mileena_enabled
+Default: true
+Choices: true, false
+Type: select
+Description: mileena: Enable network
+ mileena network: Enable network auto load on start
+
+Template: cellframe-node/mileena_node_type
+Type: select
+Default: full
+Choices: full, light, master, archive, root
+Description: mileena: Node role
+ Select node role:. 
+ Light - syncronize only local wallets 
+ full - sync all its cell
+ master - allow to store values in chains and take comission, sync all shards that will need to be synced
+ archive - Sync all the network
+ root - Special predefined root nodes, usualy produces zerochain and act like archive as well 
\ No newline at end of file
diff --git a/mac/essentials/create_configs_from_tpl.sh b/mac/essentials/create_configs_from_tpl.sh
new file mode 100755
index 0000000000000000000000000000000000000000..77e3dd26afebcec6106ec5f4e153dc294a5faa8c
--- /dev/null
+++ b/mac/essentials/create_configs_from_tpl.sh
@@ -0,0 +1,150 @@
+#!/bin/bash -e
+if [ ! -d "$DAP_PREFIX" ]; then
+    echo "Need to export proper DAP_PREFIX as prefix path for this scripts"
+    exit 2
+fi
+
+if [ ! "$DAP_APP_NAME" ]; then
+    echo "Need to export DAP_APP_NAME for this scripts"
+    exit 3
+fi
+
+if [ ! "$DAP_CHAINS_NAME" ]; then
+    echo "Need to export DAP_CHAINS_NAME for this scripts"
+    exit 4
+fi
+
+# set default values
+[ "$DAP_DEBUG_MODE_NAME" ] || DAP_DEBUG_MODE="false"
+[ "$DAP_AUTO_ONLINE" ] || DAP_AUTO_ONLINE="true"
+[ "$DAP_SERVER_ENABLED" ] || DAP_SERVER_ENABLED="false"
+[ "$DAP_SERVER_PORT" ] || DAP_SERVER_PORT="8079"
+[ "$DAP_SERVER_ADDR" ] || DAP_SERVER_ADDR="0.0.0.0"
+
+DAP_CFG_TPL="$DAP_PREFIX/share/configs/$DAP_APP_NAME.cfg.tpl"
+
+
+
+# Init node config
+if [ ! -e "$DAP_CFG" ]; then
+    DAP_CFG="$DAP_PREFIX/etc/$DAP_APP_NAME.cfg"
+fi
+
+if [ -e "$DAP_CFG" ]; then
+    DAP_CFG="$DAP_PREFIX/etc/$DAP_APP_NAME.cfg.new"
+else
+    DAP_CFG="$DAP_PREFIX/etc/$DAP_APP_NAME.cfg"
+fi
+
+cat $DAP_CFG_TPL > $DAP_CFG || true
+sed -i .old "s/{DEBUG_MODE}/$DAP_DEBUG_MODE/g" $DAP_CFG  || true
+sed -i .old "s/{AUTO_ONLINE}/$DAP_AUTO_ONLINE/g" $DAP_CFG  || true
+sed -i .old "s/{SERVER_ENABLED}/$DAP_SERVER_ENABLED/g" $DAP_CFG  || true
+sed -i .old "s/{SERVER_PORT}/$DAP_SERVER_PORT/g" $DAP_CFG  || true
+sed -i .old "s/{SERVER_ADDR}/$DAP_SERVER_ADDR/g" $DAP_CFG  || true
+sed -i .old "s/{PREFIX}/$DAP_PREFIX_TPL/g" $DAP_CFG  || true
+rm $DAP_CFG.old
+
+# Init chains
+NET_NAME="core-t"
+
+if [ "$DAP_CORE_T_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_CORE_T_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
+
+# Init chains
+NET_NAME="kelvin-testnet"
+
+if [ "$DAP_KELVIN_TESTNET_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_KELVIN_TESTNET_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
+
+NET_NAME="subzero"
+
+if [ "$DAP_SUBZERO_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_SUBZERO_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
+
+NET_NAME="kelvpn-minkowski"
+
+if [ "$DAP_KELVPN_MINKOWSKI_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_KELVPN_MINKOWSKI_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
+
+NET_NAME="Backbone"
+
+if [ "$DAP_BACKBONE_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_BACKBONE_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
+
+NET_NAME="mileena"
+
+if [ "$DAP_MILEENA_ENABLED"="true" ]; then
+    DAP_CFG_NET="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    DAP_CFG_NET_TPL="$DAP_PREFIX/share/configs/network/$NET_NAME.cfg.tpl"
+    DAP_NET_CFG=""
+    if [ -e "$DAP_CFG_NET" ]; then
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg.new"
+    else
+	DAP_NET_CFG="$DAP_PREFIX/etc/network/$NET_NAME.cfg"
+    fi
+
+    cat $DAP_CFG_NET_TPL > $DAP_NET_CFG || true
+    sed -i .old "s/{NODE_TYPE}/$DAP_MILEENA_ROLE/" $DAP_NET_CFG  || true
+    rm $DAP_NET_CFG.old
+fi
\ No newline at end of file
diff --git a/mac/scripts/reloc.sh b/mac/scripts/reloc.sh
index eb9a48c64b7a07394c362be1d42771abd94676f5..23db42eb45cd6844c4f1baccb5cdb104b4d439db 100755
--- a/mac/scripts/reloc.sh
+++ b/mac/scripts/reloc.sh
@@ -60,5 +60,6 @@
 	cp -r $wd/cellframe-node/dist.darwin/etc $wd/$BUILD_PATH/$APP_NAME.app/Contents/Resources
 	cp -f $wd/cellframe-node/scripts/*.sh $wd/$BUILD_PATH/$APP_NAME.app/Contents/Resources
 	cp -f $wd/prod_build/mac/essentials/create_configs.sh $wd/$BUILD_PATH/$APP_NAME.app/Contents/Resources
+    cp -f $wd/prod_build/mac/essentials/create_configs_from_tpl.sh $wd/$BUILD_PATH/$APP_NAME.app/Contents/Resources
 
     exit $error